/****************************************************************
 ****************************************************************
 **                                                            **
 **    (C)Copyright 2008, American Megatrends Inc.             **
 **                                                            **
 **            All Rights Reserved.                            **
 **                                                            **
 **        6145-F, Northbelt Parkway, Norcross,                **
 **                                                            **
 **        Georgia - 30071, USA. Phone-(770)-246-8600.         **
 **                                                            **
 ****************************************************************
 *
 * OemSMMCmds.h
 * OemSMMCmds.h used by SMM  channel
 *
 * Author: Anurag Bhatia <anuragb@ami.com>
 *         Vinesh Chirstopher <vineshc@ami.com>
 *
 *****************************************************************/

#include "com_BmcType.h"

#define CMD_EXAMPLE_0h   0x0
#define CMD_EXAMPLE_1h   0x1
#define CMD_EXAMPLE_2h   0x2
#define CMD_EXAMPLE_3h   0x3
#define CMD_EXAMPLE_4h   0x4
#define CMD_EXAMPLE_5h   0x5
#define CMD_EXAMPLE_6h   0x6
#define CMD_EXAMPLE_7h   0x7
#define CMD_EXAMPLE_8h   0x8
#define CMD_EXAMPLE_9h   0x9
#define CMD_EXAMPLE_ah   0xa
#define CMD_EXAMPLE_bh   0xb
#define CMD_EXAMPLE_ch   0xc
#define CMD_EXAMPLE_dh   0xd
#define CMD_EXAMPLE_eh   0xe
#define CMD_EXAMPLE_fh   0xf
#define CMD_EXAMPLE_10h   0x10
#define CMD_EXAMPLE_11h   0x11
#define CMD_EXAMPLE_12h   0x12
#define CMD_EXAMPLE_13h   0x13
#define CMD_EXAMPLE_14h   0x14
#define CMD_EXAMPLE_15h   0x15
#define CMD_EXAMPLE_16h   0x16
#define CMD_EXAMPLE_17h   0x17
#define CMD_EXAMPLE_18h   0x18
#define CMD_EXAMPLE_19h   0x19
#define CMD_EXAMPLE_1ah   0x1a
#define CMD_EXAMPLE_1bh   0x1b
#define CMD_EXAMPLE_1ch   0x1c
#define CMD_EXAMPLE_1dh   0x1d
#define CMD_EXAMPLE_1eh   0x1e
#define CMD_EXAMPLE_1fh   0x1f
#define CMD_EXAMPLE_20h   0x20
#define CMD_EXAMPLE_21h   0x21
#define CMD_EXAMPLE_22h   0x22
#define CMD_EXAMPLE_23h   0x23
#define CMD_EXAMPLE_24h   0x24
#define CMD_EXAMPLE_25h   0x25
#define CMD_EXAMPLE_26h   0x26
#define CMD_EXAMPLE_27h   0x27
#define CMD_EXAMPLE_28h   0x28
#define CMD_EXAMPLE_29h   0x29
#define CMD_EXAMPLE_2ah   0x2a
#define CMD_EXAMPLE_2bh   0x2b
#define CMD_EXAMPLE_2ch   0x2c
#define CMD_EXAMPLE_2dh   0x2d
#define CMD_EXAMPLE_2eh   0x2e
#define CMD_EXAMPLE_2fh   0x2f
#define CMD_EXAMPLE_30h   0x30
#define CMD_EXAMPLE_31h   0x31
#define CMD_EXAMPLE_32h   0x32
#define CMD_EXAMPLE_33h   0x33
#define CMD_EXAMPLE_34h   0x34
#define CMD_EXAMPLE_35h   0x35
#define CMD_EXAMPLE_36h   0x36
#define CMD_EXAMPLE_37h   0x37
#define CMD_EXAMPLE_38h   0x38
#define CMD_EXAMPLE_39h   0x39
#define CMD_EXAMPLE_3ah   0x3a
#define CMD_EXAMPLE_3bh   0x3b
#define CMD_EXAMPLE_3ch   0x3c
#define CMD_EXAMPLE_3dh   0x3d
#define CMD_EXAMPLE_3eh   0x3e
#define CMD_EXAMPLE_3fh   0x3f
#define CMD_EXAMPLE_40h   0x40
#define CMD_EXAMPLE_41h   0x41
#define CMD_EXAMPLE_42h   0x42
#define CMD_EXAMPLE_43h   0x43
#define CMD_EXAMPLE_44h   0x44
#define CMD_EXAMPLE_45h   0x45
#define CMD_EXAMPLE_46h   0x46
#define CMD_EXAMPLE_47h   0x47
#define CMD_EXAMPLE_48h   0x48
#define CMD_EXAMPLE_49h   0x49
#define CMD_EXAMPLE_4ah   0x4a
#define CMD_EXAMPLE_4bh   0x4b
#define CMD_EXAMPLE_4ch   0x4c
#define CMD_EXAMPLE_4dh   0x4d
#define CMD_EXAMPLE_4eh   0x4e
#define CMD_EXAMPLE_4fh   0x4f
#define CMD_EXAMPLE_50h   0x50
#define CMD_EXAMPLE_51h   0x51
#define CMD_EXAMPLE_52h   0x52
#define CMD_EXAMPLE_53h   0x53
#define CMD_EXAMPLE_54h   0x54
#define CMD_EXAMPLE_55h   0x55
#define CMD_EXAMPLE_56h   0x56
#define CMD_EXAMPLE_57h   0x57
#define CMD_EXAMPLE_58h   0x58
#define CMD_EXAMPLE_59h   0x59
#define CMD_EXAMPLE_5ah   0x5a
#define CMD_EXAMPLE_5bh   0x5b
#define CMD_EXAMPLE_5ch   0x5c
#define CMD_EXAMPLE_5dh   0x5d
#define CMD_EXAMPLE_5eh   0x5e
#define CMD_EXAMPLE_5fh   0x5f
#define CMD_EXAMPLE_60h   0x60
#define CMD_EXAMPLE_61h   0x61
#define CMD_EXAMPLE_62h   0x62
#define CMD_EXAMPLE_63h   0x63
#define CMD_EXAMPLE_64h   0x64
#define CMD_EXAMPLE_65h   0x65
#define CMD_EXAMPLE_66h   0x66
#define CMD_EXAMPLE_67h   0x67
#define CMD_EXAMPLE_68h   0x68
#define CMD_EXAMPLE_69h   0x69
#define CMD_EXAMPLE_6ah   0x6a
#define CMD_EXAMPLE_6bh   0x6b
#define CMD_EXAMPLE_6ch   0x6c
#define CMD_EXAMPLE_6dh   0x6d
#define CMD_EXAMPLE_6eh   0x6e
#define CMD_EXAMPLE_6fh   0x6f
#define CMD_EXAMPLE_70h   0x70
#define CMD_EXAMPLE_71h   0x71
#define CMD_EXAMPLE_72h   0x72
#define CMD_EXAMPLE_73h   0x73
#define CMD_EXAMPLE_74h   0x74
#define CMD_EXAMPLE_75h   0x75
#define CMD_EXAMPLE_76h   0x76
#define CMD_EXAMPLE_77h   0x77
#define CMD_EXAMPLE_78h   0x78
#define CMD_EXAMPLE_79h   0x79
#define CMD_EXAMPLE_7ah   0x7a
#define CMD_EXAMPLE_7bh   0x7b
#define CMD_EXAMPLE_7ch   0x7c
#define CMD_EXAMPLE_7dh   0x7d
#define CMD_EXAMPLE_7eh   0x7e
#define CMD_EXAMPLE_7fh   0x7f
/********* storlead oem command ***********/
#define CMD_EXAMPLE_80h   0x80
#define CMD_EXAMPLE_81h   0x81
#define CMD_EXAMPLE_82h   0x82
#define CMD_EXAMPLE_83h   0x83
#define CMD_EXAMPLE_84h   0x84
#define CMD_EXAMPLE_85h   0x85
#define CMD_EXAMPLE_86h   0x86
#define CMD_EXAMPLE_87h   0x87
#define CMD_EXAMPLE_88h   0x88
#define CMD_EXAMPLE_89h   0x89
#define CMD_EXAMPLE_8ah   0x8a
#define CMD_EXAMPLE_8bh   0x8b
#define CMD_EXAMPLE_8ch   0x8c
#define CMD_EXAMPLE_8dh   0x8d
#define CMD_EXAMPLE_8eh   0x8e
#define CMD_EXAMPLE_8fh   0x8f
#define CMD_EXAMPLE_90h   0x90
#define CMD_EXAMPLE_91h   0x91
#define CMD_EXAMPLE_92h   0x92
#define CMD_EXAMPLE_93h   0x93
#define CMD_EXAMPLE_94h   0x94
#define CMD_EXAMPLE_95h   0x95
#define CMD_EXAMPLE_96h   0x96
#define CMD_EXAMPLE_97h   0x97
#define CMD_EXAMPLE_98h   0x98
#define CMD_EXAMPLE_99h   0x99
#define CMD_EXAMPLE_9ah   0x9a
#define CMD_EXAMPLE_9bh   0x9b
#define CMD_EXAMPLE_9ch   0x9c
#define CMD_EXAMPLE_9dh   0x9d
#define CMD_EXAMPLE_9eh   0x9e
#define CMD_EXAMPLE_9fh   0x9f
/************************************************************/
#define CMD_EXAMPLE_a0h   0xa0
#define CMD_EXAMPLE_a1h   0xa1
#define CMD_EXAMPLE_a2h   0xa2
#define CMD_EXAMPLE_a3h   0xa3
#define CMD_EXAMPLE_a4h   0xa4
#define CMD_EXAMPLE_a5h   0xa5
#define CMD_EXAMPLE_a6h   0xa6
#define CMD_EXAMPLE_a7h   0xa7
#define CMD_EXAMPLE_a8h   0xa8
#define CMD_EXAMPLE_a9h   0xa9
#define CMD_EXAMPLE_aah   0xaa
#define CMD_EXAMPLE_abh   0xab
#define CMD_EXAMPLE_ach   0xac
#define CMD_EXAMPLE_adh   0xad
#define CMD_EXAMPLE_aeh   0xae
#define CMD_EXAMPLE_afh   0xaf
#define CMD_EXAMPLE_b0h   0xb0
#define CMD_EXAMPLE_b1h   0xb1
#define CMD_EXAMPLE_b2h   0xb2
#define CMD_EXAMPLE_b3h   0xb3
#define CMD_EXAMPLE_b4h   0xb4
#define CMD_EXAMPLE_b5h   0xb5
#define CMD_EXAMPLE_b6h   0xb6
#define CMD_EXAMPLE_b7h   0xb7
#define CMD_EXAMPLE_b8h   0xb8
#define CMD_EXAMPLE_b9h   0xb9
#define CMD_EXAMPLE_bah   0xba
#define CMD_EXAMPLE_bbh   0xbb
#define CMD_EXAMPLE_bch   0xbc
#define CMD_EXAMPLE_bdh   0xbd
#define CMD_EXAMPLE_beh   0xbe
#define CMD_EXAMPLE_bfh   0xbf
#define CMD_EXAMPLE_c0h   0xc0
#define CMD_EXAMPLE_c1h   0xc1
#define CMD_EXAMPLE_c2h   0xc2
#define CMD_EXAMPLE_c3h   0xc3
#define CMD_EXAMPLE_c4h   0xc4
#define CMD_EXAMPLE_c5h   0xc5
#define CMD_EXAMPLE_c6h   0xc6
#define CMD_EXAMPLE_c7h   0xc7
#define CMD_EXAMPLE_c8h   0xc8
#define CMD_EXAMPLE_c9h   0xc9
#define CMD_EXAMPLE_cah   0xca
#define CMD_EXAMPLE_cbh   0xcb
#define CMD_EXAMPLE_cch   0xcc
#define CMD_EXAMPLE_cdh   0xcd
#define CMD_EXAMPLE_ceh   0xce
#define CMD_EXAMPLE_cfh   0xcf
#define CMD_EXAMPLE_d0h   0xd0
#define CMD_EXAMPLE_d1h   0xd1
#define CMD_EXAMPLE_d2h   0xd2
#define CMD_EXAMPLE_d3h   0xd3
#define CMD_EXAMPLE_d4h   0xd4
#define CMD_EXAMPLE_d5h   0xd5
#define CMD_EXAMPLE_d6h   0xd6
#define CMD_EXAMPLE_d7h   0xd7
#define CMD_EXAMPLE_d8h   0xd8
#define CMD_EXAMPLE_d9h   0xd9
#define CMD_EXAMPLE_dah   0xda
#define CMD_EXAMPLE_dbh   0xdb
#define CMD_EXAMPLE_dch   0xdc
#define CMD_EXAMPLE_ddh   0xdd
#define CMD_EXAMPLE_deh   0xde
#define CMD_EXAMPLE_dfh   0xdf
#define CMD_EXAMPLE_e0h   0xe0
#define CMD_EXAMPLE_e1h   0xe1
#define CMD_EXAMPLE_e2h   0xe2
#define CMD_EXAMPLE_e3h   0xe3
#define CMD_EXAMPLE_e4h   0xe4
#define CMD_EXAMPLE_e5h   0xe5
#define CMD_EXAMPLE_e6h   0xe6
#define CMD_EXAMPLE_e7h   0xe7
#define CMD_EXAMPLE_e8h   0xe8
#define CMD_EXAMPLE_e9h   0xe9
#define CMD_EXAMPLE_eah   0xea
#define CMD_EXAMPLE_ebh   0xeb
#define CMD_EXAMPLE_ech   0xec
#define CMD_EXAMPLE_edh   0xed
#define CMD_EXAMPLE_eeh   0xee
#define CMD_EXAMPLE_efh   0xef
#define CMD_EXAMPLE_f0h   0xf0
#define CMD_EXAMPLE_f1h   0xf1
#define CMD_EXAMPLE_f2h   0xf2
#define CMD_EXAMPLE_f3h   0xf3
#define CMD_EXAMPLE_f4h   0xf4
#define CMD_EXAMPLE_f5h   0xf5
#define CMD_EXAMPLE_f6h   0xf6
#define CMD_EXAMPLE_f7h   0xf7
#define CMD_EXAMPLE_f8h   0xf8
#define CMD_EXAMPLE_f9h   0xf9
#define CMD_EXAMPLE_fah   0xfa
#define CMD_EXAMPLE_fbh   0xfb
#define CMD_EXAMPLE_fch   0xfc
#define CMD_EXAMPLE_fdh   0xfd
#define CMD_EXAMPLE_feh   0xfe
#define CMD_EXAMPLE_ffh   0xff

extern int SMMExample_0h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_1h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_2h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_3h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_4h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_5h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_6h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_7h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_8h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_9h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_ah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_bh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_ch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_dh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_eh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_fh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_10h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_11h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_12h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_13h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_14h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_15h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_16h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_17h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_18h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_19h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_1ah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_1bh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_1ch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_1dh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_1eh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_1fh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_20h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_21h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_22h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_23h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_24h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_25h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_26h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_27h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_28h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_29h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_2ah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_2bh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_2ch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_2dh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_2eh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_2fh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_30h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_31h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_32h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_33h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_34h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_35h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_36h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_37h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_38h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_39h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_3ah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_3bh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_3ch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_3dh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_3eh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_3fh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_40h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_41h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_42h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_43h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_44h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_45h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_46h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_47h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_48h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_49h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_4ah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_4bh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_4ch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_4dh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_4eh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_4fh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_50h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_51h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_52h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_53h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_54h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_55h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_56h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_57h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_58h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_59h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_5ah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_5bh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_5ch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_5dh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_5eh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_5fh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_60h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_61h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_62h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_63h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_64h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_65h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_66h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_67h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_68h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_69h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_6ah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_6bh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_6ch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_6dh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_6eh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_6fh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_70h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_71h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_72h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_73h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_74h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_75h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_76h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_77h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_78h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_79h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_7ah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_7bh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_7ch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_7dh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_7eh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_7fh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);

/**************** storlead oem command **********************/
extern int SMMExample_80h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_81h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_82h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_83h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_84h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_85h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_86h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_87h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_88h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_89h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_8ah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_8bh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_8ch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_8dh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_8eh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_8fh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_90h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_91h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_92h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_93h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_94h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_95h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_96h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_97h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_98h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_99h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_9ah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_9bh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_9ch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_9dh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_9eh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_9fh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
/**********************************************************************************/
extern int SMMExample_a0h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_a1h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_a2h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_a3h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_a4h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_a5h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_a6h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_a7h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_a8h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_a9h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_aah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_abh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_ach( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_adh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_aeh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_afh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_b0h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_b1h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_b2h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_b3h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_b4h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_b5h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_b6h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_b7h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_b8h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_b9h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_bah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_bbh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_bch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_bdh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_beh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_bfh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_c0h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_c1h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_c2h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_c3h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_c4h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_c5h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_c6h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_c7h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_c8h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_c9h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_cah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_cbh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_cch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_cdh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_ceh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_cfh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_d0h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_d1h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_d2h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_d3h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_d4h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_d5h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_d6h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_d7h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_d8h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_d9h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_dah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_dbh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_dch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_ddh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_deh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_dfh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_e0h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_e1h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_e2h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_e3h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_e4h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_e5h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_e6h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_e7h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_e8h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_e9h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_eah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_ebh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_ech( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_edh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_eeh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_efh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_f0h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_f1h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_f2h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_f3h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_f4h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_f5h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_f6h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_f7h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_f8h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_f9h( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_fah( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_fbh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_fch( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_fdh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_feh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
extern int SMMExample_ffh( uint8_t* pReq, uint8_t ReqLen,  uint8_t* pRes);
